#include <bits/stdc++.h>
using namespace std;

map<string,int> M;

int Resi(int N, int K, int* L, char** A, char* S)
{
    if(K==2)
    {
        string res;
        int duz=100;
        for(int len=1;len<=18;len++) 
        {
            for(int mask=0;mask<(1<<len);mask++)
        {
            string tmp;
            for(int i=0;i<len;i++)
            {
                if(mask&(1<<i)) tmp+="b";
                else tmp+="a";
            }
            for(int i=0;i<tmp.size();i++)
            {
                for(int j=0;j<tmp.size();j++)
                {
                    if(i+j>=tmp.size()) continue;
                    M[tmp.substr(i,j)]++;
                }
            }
            int ok=1;
            for(int i=1;i<=N;i++) if(M[A[i]]!=1) ok=0;
            M.clear();
            if(!ok) continue;
            else
            {
                for(int i=0;i<res.size();i++) S[i+1]=res[i];
                return res.size();
            }
        }
        }
    }
}